import { Component, javascript, python, java, cdk } from 'projen';
import { GithubWorkflow, GithubWorkflowOptions } from 'projen/lib/github';
import { JobPermissions, Triggers } from 'projen/lib/github/workflows-model';
export interface SecurityScanWorkflowOptions {
    readonly triggersOptions?: Triggers;
    readonly workflowOptions?: GithubWorkflowOptions;
}
export declare class SecurityScanWorkflow extends Component {
    readonly workflow: GithubWorkflow | undefined;
    constructor(project: javascript.NodeProject | python.PythonProject | java.JavaProject | cdk.JsiiProject, name: string, options?: SecurityScanWorkflowOptions);
    callReusableWorkflow(id: string, path: string, permissions?: JobPermissions): void;
}
